SET NEWLINE=^& echo.

FIND /C /I "support.apowersoft.com" %WINDIR%\system32\drivers\etc\hosts
IF %ERRORLEVEL% NEQ 0 ECHO %NEWLINE%^127.0.0.1 support.apowersoft.com>>%WINDIR%\system32\drivers\etc\hosts

FIND /C /I "apowersoft.com.com" %WINDIR%\system32\drivers\etc\hosts
IF %ERRORLEVEL% NEQ 0 ECHO %NEWLINE%^127.0.0.1 apowersoft.com>>%WINDIR%\system32\drivers\etc\hosts
